# Method: projects.locations.nfsShares.patch

- [HTTP request](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/patch#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/patch#try-it)

Update details of a single NFS share.

### HTTP request

`PATCH https://baremetalsolution.googleapis.com/v2/{nfsShare.name=projects/*/locations/*/nfsShares/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `nfsShare.name` | `string` Immutable. The name of the NFS share. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` The list of fields to update. The only currently supported fields are: `labels` `allowedClients` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares#NfsShare`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.operations#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).